Get unit by reference
curl --request GET \
--url https://api.example.com/units/reference/{unit}import requests
url = "https://api.example.com/units/reference/{unit}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/units/reference/{unit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content_type": "unit",
"id": 1,
"reference": "<string>",
"name": "HQ",
"description": "<string>",
"level": 123,
"path": "<string>",
"unit_type": "unit",
"falldown": true,
"features": [
{}
],
"departments": [
{}
],
"parent": {},
"image": {},
"children": [
{}
],
"addresses": {},
"contact": {},
"opening_hours": {},
"geo": {
"lat": 123,
"lng": 123
},
"stats": {
"users": 123,
"children": 123,
"children_total": 123
},
"permissions": {},
"url": "api/units/1"
}Units
Get unit by reference
Returns a single unit resolved by its reference value.
GET
/
units
/
reference
/
{unit}
Get unit by reference
Path Parameters
Unit identifier (ID or reference depending on route)
Response
Unit details
Example:
"unit"
Example:
1
Example:
"HQ"
Depth in unit tree
Materialized path
Example:
"unit"
From pivot when in context
Parent unit when loaded
Unit image when loaded
Company, delivery, invoicing addresses
Contact name and phone
Office hours and closed days
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Permission flags for current user
Example:
"api/units/1"